Name		: apache_mod_authn_google
Version		: r10
Release		: 2%{?dist}
License		: Distributable
Summary		: Google Authentication Apache Module
Group		: Security
URL		: https://https://code.google.com/archive/p/google-authenticator-apache-module/
Packager        : René Vermare <rene@vermare.net>
Vendor          : Dr. Linux, https://repo.vermare.net/yum/
Source0         : GoogleAuthApache.src.%{version}.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires	: gcc, make, bzip2, tar, apr-devel >= 1.3.9, openssl-devel >= 1.0.1e 
Requires	: httpd >= 2.2.3, apr >= 1.3.9, openssl >= 1.0.1e

%description
This package contains the Google Authentication Module for Apache webserver,
used for 2FA (Two factor) authentication.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n google-authenticator-apache-module

%build
make

%install
mkdir -p %{buildroot}/etc/httpd/modules
install -m 755 .libs/mod_authn_google.so  %{buildroot}/etc/httpd/modules

%clean
rm -rf %{buildroot}

%post
if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
        SECXT=$( /usr/sbin/matchpathcon -n /etc/httpd/modules 2> /dev/null )
        if [ -n "$SECXT" ]; then
                # Selinux enabled, but without policy? It's true for buildroots
                # without selinux stuff on host machine with enabled selinux.
                # We don't want to use any RPM dependence on selinux policy for
                # matchpathcon(2). SELinux policy should be optional.
                /usr/bin/chcon "$SECXT" /etc/httpd/modules/mod_authn_google.so >/dev/null 2>&1 || :
        fi
fi

%preun

%files 
%defattr(-, root, root, 0755)
/etc/httpd/modules/mod_authn_google.so

%changelog
* Mon Mar  7 2022 René vermare <rene@vermare.net> r10-2
- Add SELinux check and set security context.
- Build for el6 x86_64 arch.

* Sun Mar  6 2022 René vermare <rene@vermare.net> r10-1
- Initial build for el6 x86_64 arch.

* Tue Mar  9 2021 René vermare <rene@vermare.net> r10-0
- Initial build for fc14 i586 arch.
